<?php
class Functional {
    static function writeFile($filepath, $content, $mode) {
        $f = fopen($filepath, $mode);
        fwrite($f, $content);
        fclose($f);
    }

    static function sortFileByTime($dir, $flag = 0) {
        $list = scandir($dir, 2);
        $result = array();
        foreach ($list as $file) {
            $result[$file] = fileatime($file);
        }
        if ($flag === 0) {
            arsort($list, SORT_NUMERIC);
        }
        else {
            asort($list, SORT_NUMERIC);
        }
        return $result;
    }

    static function getLastestTopics($number, $flag = 0, Category $cat = null) {
        if ($cat == null)
            $list = Functional::sortFileByTime('database/listtopic/');
        else
            $list = Functional::sortFileByTime('database/'.Category::PATH.'/'.$cat->getID().'/topic/');
        $result = array();
        $i = 0;
        foreach ($list as $key => $value) {
            $result[$i] = $key;
            $i++;
            if ($i < $number)
                break;
        }
        if ($flag === 0)
            arsort($result);
        else
            asort($result);
        return $result;
    }
}

?>